## prometheus-ipmi-exporter 1.2.0+ds

=== Makefile ===
# Override the default common all.
.PHONY: all
all: precheck style unused build test

DOCKER_ARCHS      ?= amd64
DOCKER_IMAGE_NAME ?= ipmi-exporter
DOCKER_REPO       ?= soundcloud

include Makefile.common

docker: common-docker

## prometheus-ipmi-exporter 1.0.0+ds

=== debian/changelog ===
prometheus-ipmi-exporter (1.0.0+ds-3) unstable; urgency=medium

  * d/postinst: Don't create homedir for user, since it is shared by
    prometheus package and not actually required by this exporter (fixes
    piuparts error).
  * Add debian/gbp.conf.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 15 Jan 2020 10:23:47 +0100

prometheus-ipmi-exporter (1.0.0+ds-2) unstable; urgency=medium

  * Team upload.
  * No change upload to rebuild on buildd.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 06 Jan 2020 11:50:52 +0100

prometheus-ipmi-exporter (1.0.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #927945)

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 06 Nov 2019 11:19:27 +0100

=== debian/control ===
Source: prometheus-ipmi-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-github-konsorten-go-windows-terminal-sequences-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
Homepage: https://github.com/soundcloud/ipmi_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/soundcloud/ipmi_exporter

Package: prometheus-ipmi-exporter
Architecture: any
Depends: freeipmi-tools, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for IPMI devices
 Prometheus exporter for Intelligent Platform Management Interface (IPMI)
 device sensor metrics. Supports local IPMI devices (e.g., /dev/ipmi0), or
 remote devices via Remote Management Control Protocol (RMCP). When using
 RMCP, a single exporter can be used to monitor a large number of IPMI
 devices by passing a target hostname as a parameter.
 .
 This exporter relies on tools from the FreeIPMI suite for the actual IPMI
 implementation.

## prometheus-ipmi-exporter 1.1.0+ds

=== debian/changelog ===
prometheus-ipmi-exporter (1.1.0+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:07:16 +0200

prometheus-ipmi-exporter (1.1.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.5.0 (rename systemd service file).

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Fri, 21 Feb 2020 15:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-ipmi-exporter
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
 Priority: optional
@@ -11,7 +12,7 @@
                golang-go,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
 Homepage: https://github.com/soundcloud/ipmi_exporter

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_GOPKG := github.com/soundcloud/ipmi_exporter

BUILDDIR := $(CURDIR)/build
BINNAME := $(DEB_SOURCE)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/ipmi_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ipmi_exporter-$1\.tar\.gz/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/soundcloud/ipmi_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-ipmi-exporter 1.2.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for IPMI devices"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/ipmi_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1


override_dh_auto_install:

## prometheus-ipmi-exporter 1.2.0+ds

=== debian/changelog ===
prometheus-ipmi-exporter (1.2.0+ds-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:22:54 +0000

prometheus-ipmi-exporter (1.2.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * New upstream version.
  * Bump debhelper-compat version to 13.
  * Remove deprecated DH_GOPKG from debian/rules.
  * Add debian/upstream/metadata file.

  [ Martina Ferrari ]
  * Automatic fixes by cme and wrap-and-sort.
  * Update maintainer email address.
  * Rename back service file.
  * Add version info to build, and auto generate manpage.
  * Add SysV init support.

 -- Martina Ferrari <tina@debian.org>  Sun, 26 Jul 2020 00:36:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: prometheus-ipmi-exporter
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
+Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-github-konsorten-go-windows-terminal-sequences-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-go,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev
+               golang-gopkg-yaml.v2-dev,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
@@ -21,8 +22,12 @@
 
 Package: prometheus-ipmi-exporter
 Architecture: any
-Depends: freeipmi-tools, ${misc:Depends}, ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: daemon | systemd-sysv,
+         freeipmi-tools,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for IPMI devices
  Prometheus exporter for Intelligent Platform Management Interface (IPMI)
  device sensor metrics. Supports local IPMI devices (e.g., /dev/ipmi0), or

## prometheus-ipmi-exporter 1.4.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: prometheus-ipmi-exporter
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
-               golang-github-konsorten-go-windows-terminal-sequences-dev,
+               dh-sequence-golang,
+               golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-go,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
 Homepage: https://github.com/soundcloud/ipmi_exporter
@@ -23,7 +23,8 @@
 Package: prometheus-ipmi-exporter
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
-Depends: daemon | systemd-sysv,
+Depends: adduser,
+         daemon | systemd-sysv,
          freeipmi-tools,
          ${misc:Depends},
          ${shlibs:Depends},

## prometheus-ipmi-exporter 1.4.0+ds

=== debian/changelog ===
prometheus-ipmi-exporter (1.4.0+ds-3ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:04:45 +0000

prometheus-ipmi-exporter (1.4.0+ds-3) unstable; urgency=medium

  * Add 03-respect-log-level-flag.patch, without which the --log.level
    command-line flag is ignored

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 03 Jan 2022 19:07:33 +0000

prometheus-ipmi-exporter (1.4.0+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 09 Dec 2021 14:17:33 +0000

prometheus-ipmi-exporter (1.4.0+ds-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add 02-go-kit-log.patch to build with newer versions of prometheus/common
    (with go-kit/log)
  * Bump Standards-Version to 4.6.0 (no changes).
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Drop unused golang-github-konsorten-go-windows-terminal-sequences-dev
    build-dep.
  * Add missing adduser dependency to binary package.
  * Update flags in debian/default
  * Enhance systemd unit:
    - restart daemon on failure
    - use private tmp directory to avoid clutter of dynamically generated
      FIFO pipes

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 08 Dec 2021 19:02:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS := "$(BINNAME) \\- Prometheus exporter for IPMI devices"

## prometheus-ipmi-exporter 1.6.1

=== Makefile ===
# Copyright 2021 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Override the default common all.
.PHONY: all
all: precheck style unused build test

#DOCKER_ARCHS      ?= amd64 arm64
DOCKER_ARCHS      ?= amd64
DOCKER_IMAGE_NAME ?= ipmi-exporter
DOCKER_REPO       ?= prometheuscommunity

include Makefile.common

=== debian/changelog ===
prometheus-ipmi-exporter (1.6.1-2ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:09:37 +0530

prometheus-ipmi-exporter (1.6.1-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:37 +1200

prometheus-ipmi-exporter (1.6.1-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0
  * d/control: replace golang-go with golang-any

  [ Nick Rosbrook ]
  * Add new 02-fix-build-with-new-exporter-toolkit.patch (Closes: #1026094)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 04:09:48 +0000

prometheus-ipmi-exporter (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Jun 2022 11:21:18 +0000

prometheus-ipmi-exporter (1.5.2-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Drop +ds version suffix, since we no longer need to unvendor
  * Bump Standards-Version to 4.6.1 (no changes)
  * Drop obsolete 02-go-kit-log.patch (applied upstream)
  * Drop obsolete 03-respect-log-level-flag.patch (applied upstream)
  * Update upstream URLs, update copyright

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 15 May 2022 17:07:54 +0000

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
+               golang-any,
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-go,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
-Homepage: https://github.com/soundcloud/ipmi_exporter
+Homepage: https://github.com/prometheus-community/ipmi_exporter
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/soundcloud/ipmi_exporter
+XS-Go-Import-Path: github.com/prometheus-community/ipmi_exporter
 
 Package: prometheus-ipmi-exporter
 Architecture: any

## prometheus-ipmi-exporter 1.8.0

=== debian/changelog ===
prometheus-ipmi-exporter (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 24 Jan 2024 00:45:44 +0000

prometheus-ipmi-exporter (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 02-fix-build-with-new-exporter-toolkit.patch (applied
    upstream)
  * Refresh patches and convert to gbp-pq format
  * Add new 0002-Revert-alecthomas-kingpin-import-path.patch
  * Modernize debian/rules to produce more visually appealing man page
  * d/control: bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Oct 2023 16:55:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-ipmi-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -14,7 +13,7 @@
                golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
 Homepage: https://github.com/prometheus-community/ipmi_exporter

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ipmi_exporter-$1\.tar\.gz/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/prometheus-community/ipmi_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-ipmi-exporter 1.9.0

=== debian/changelog ===
prometheus-ipmi-exporter (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Stop overriding --freeipmi.path flag default, and let the exporter default
    to finding it (and sudo) on $PATH (Closes: #1068732)
  * d/control: bump Standards-Version to 4.7.0 (no changes)
  * Rewrite init script using start-stop-daemon, thus eliminating dependency
    on daemon | systemd-sysv

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 05 Nov 2024 23:13:14 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
 Homepage: https://github.com/prometheus-community/ipmi_exporter
@@ -24,7 +24,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         daemon | systemd-sysv,
          freeipmi-tools,
          ${misc:Depends},
          ${shlibs:Depends},

## prometheus-ipmi-exporter 1.10.0

=== debian/changelog ===
prometheus-ipmi-exporter (1.10.0-2) unstable; urgency=medium

  * Drop 0002-Disable-native-IPMI-client.patch
  * Add new Build-Depends golang-github-bougou-go-ipmi-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Feb 2025 05:19:30 +0000

prometheus-ipmi-exporter (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 0002-Disable-native-IPMI-client.patch
  * Drop obsolete Build-Depends golang-github-go-kit-log-dev
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 13 Feb 2025 16:40:02 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-go-kit-log-dev,
+               golang-github-bougou-go-ipmi-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
 Standards-Version: 4.7.0
@@ -35,5 +35,6 @@
  RMCP, a single exporter can be used to monitor a large number of IPMI
  devices by passing a target hostname as a parameter.
  .
- This exporter relies on tools from the FreeIPMI suite for the actual IPMI
- implementation.
+ This exporter primarily relies on tools from the FreeIPMI suite for the
+ actual IPMI implementation, but also features an experimental native Go
+ IPMI client.

## prometheus-ipmi-exporter 1.10.1

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 .PHONY: all
 all: precheck style unused build test
 
-#DOCKER_ARCHS      ?= amd64 arm64
-DOCKER_ARCHS      ?= amd64
+DOCKER_ARCHS      ?= amd64 arm64
 DOCKER_IMAGE_NAME ?= ipmi-exporter
 DOCKER_REPO       ?= prometheuscommunity

=== debian/changelog ===
prometheus-ipmi-exporter (1.10.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 14 Aug 2025 12:52:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: prometheus-ipmi-exporter
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Section: net
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -13,21 +13,22 @@
                golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-ipmi-exporter.git
 Homepage: https://github.com/prometheus-community/ipmi_exporter
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/prometheus-community/ipmi_exporter
 
 Package: prometheus-ipmi-exporter
+Section: net
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
          freeipmi-tools,
          ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Prometheus exporter for IPMI devices
  Prometheus exporter for Intelligent Platform Management Interface (IPMI)
  device sensor metrics. Supports local IPMI devices (e.g., /dev/ipmi0), or

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/ipmi_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for IPMI devices
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus-community/ipmi_exporter/tags .*/v?(\d\S*)\.tar\.gz debian
